#include <stdio.h>
#define MAXD 100

int indeks_maksimuma(float a[], int n){
	int max = 0; 
	int i;
	for(i=1; i<n; i++) 
		if(a[i] >= a[max]) 
			max = i; 
	return max; 
}

int indeks_minimuma(float a[], int n){
	int min = 0;
	int i;
	for(i=1; i<n; i++)
		if(a[i] <= a[min]) 
			min = i; 
	return min;
}

int main(){
	int n, i, min, max;
	float niz[MAXD];
	
	printf("Uneti dimenziju niza: ");
	scanf("%d", &n);
	if(n<=0 || n>MAXD){ 
		printf("-1\n");
		return 0; 
	}
	
	printf("Uneti niz: ");
	for(i=0; i<n; i++)
		scanf("%f", &niz[i]); 
	
	min = indeks_minimuma(niz, n);
	max = indeks_maksimuma(niz, n);
	
	printf("%d\n%d\n", min, max); 
	if(min > max) 
		printf("1\n");
	else
		printf("0\n");
	
	return 0;
}

